html {
	-ms-touch-action: none;
}

body,
canvas,
div {
	display: block;
	outline: none;
	-webkit-tap-highlight-color: rgba(0, 0, 0, 0);

	user-select: none;
	-moz-user-select: none;
	-webkit-user-select: none;
	-ms-user-select: none;
	-khtml-user-select: none;
	-webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

/* Remove spin of input type number */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
	/* display: none; <- Crashes Chrome on hover */
	-webkit-appearance: none;
	margin: 0;
	/* <-- Apparently some margin are still there even though it's hidden */
}

body {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	padding: 0;
	border: 0;
	margin: 0;

	cursor: default;
	color: #888;
	background-color: #333;

	text-align: center;
	font-family: Helvetica, Verdana, Arial, sans-serif;

	display: flex;
	flex-direction: column;

	/* fix bug: https://github.com/cocos-creator/2d-tasks/issues/791 */
	/* overflow cannot be applied in Cocos2dGameContainer, 
  otherwise child elements will be hidden when Cocos2dGameContainer rotated 90 deg */
	overflow: hidden;
}

#Cocos2dGameContainer {
	position: absolute;
	margin: 0;
	left: 0px;
	top: 0px;

	display: -webkit-box;
	-webkit-box-orient: horizontal;
	-webkit-box-align: center;
	-webkit-box-pack: center;
}

canvas {
	background-color: rgba(0, 0, 0, 0);
}

a:link,
a:visited {
	color: #666;
}

a:active,
a:hover {
	color: #666;
}

p.header {
	font-size: small;
}

p.footer {
	font-size: x-small;
}

#splash {
	position: fixed;
	top: 0%;
	left: 0;
	width: 100%;
	height: 100%;
	background: url(./bg.b6c93.jpg) no-repeat center;
	background-color: #000000;
	background-size: cover;
}

#icon {
	position: absolute;
	left: -27px;
	top: -89px;
	width: 50%;
	height: 50%;
	background: url(./0_logo.png) no-repeat center;
	background-size: 52%;
}

#loadbg {
	position: absolute;
	left: 15%;
	top: 10%;
	width: 70%;
	height: 75%;
	background-size: 100%;
}

#load {
	position: absolute;
	left: 27%;
	top: 22%;
	width: 50%;
	height: 50%;
	/* background:url(./splash.85cfd.png) no-repeat center; */
	background-size: 70%;
}

.progress-bar {
	position: absolute;
	/*    left: 20%;
    top: 52%;
    height: 10px;
    padding: 2px;
    width: 60%;
    background-image: linear-gradient(#141414 5%,#363636, #141414 95%);
	border-width: 6px;
	border-image: linear-gradient(0deg, #ee4e04,#15ff38) 1;
	border-style: solid; */
	/* clip-path: inset(0 round 20px); */
	left: 0%;
	bottom: 8rem;
	height: 25px;
	padding: 2px;
	width: 100%;
}

.progress-bar-bottom {
	position: absolute;
	width: 15rem;
	height: 1rem;
	bottom: 8rem;
	left: 50%;
	transform: translate(-50%, -50%);
	border-radius: 16px;	
	border-width: 1px;
	border-style: solid; 
	border-color: #05d3ff;
    background: #1a2845;
	/* z-index: 2; */
}
.progress-bar2 {
	position: relative;
	width: 96%;
	height: 90%;	
    /* background: #1a2845; */
	top : 10%;
	left: 2%;
	/* transform: translate(-50%, -50%); */
	/* z-index: 3; */
	/* clip-path: inset(0px round 0px); */
}
.progress-bar3 {
	position: relative;
	height: 90%;	
	/* background: #fff; */
    background-color: #12ffff;
	/* background-image: linear-gradient(0deg, #37d2ff,#40f1ff,#37d2ff); */
	/* top: 0%;
	left: 0%; */
	/* transform: translate(-50%, -50%); */
	/* z-index: 3; */
	clip-path: inset(0 round 16px);
}

.progress-bar-loading {
	display: inline;
	position: absolute;
	width: 50000rem;
	height: 1rem;
	bottom: 7rem;
	left: 50%;
	transform: translate(-50%, -50%);
	font-size: 36px;
	color: #05d3ff;
	/* background: url(text_ld.ab398.png) no-repeat center; */
	/* background-size: 119px 32px; */
	/* border-radius: 20px; */
	/* background-color: #ffffff; */
}
.progress-bar-loading img{
	width: 4rem;
	/* margin-right: -6rem; */
}
.progress-bar-point{
	display: inline;
	margin-left: -.5rem;
}
.progress-bar-point img{
	/* transform: translate(0, 20%); */
	display: inline;
	margin-left: .2rem;
	width: .2rem;
}


.progress-bar-span{
	border-radius: 30px;
    background-color: #ffe44e;
}
